import java.awt.* ;

public class ImagePanel extends Panel
{
    private Image image ;
    public int width, height ;

    public ImagePanel (String imageName, int x, int y)
    {
        image = this.getToolkit ().getImage (imageName) ;

        MediaTracker tracker = new MediaTracker (this) ;
        tracker.addImage (image, 0) ;   

        try
        {
            tracker.waitForID (0);
        } catch (InterruptedException e)
        {
            System.err.println ("Error " + e.getMessage ()) ;
            System.exit (0) ;
        }              

        this.width = image.getWidth (this) ;
        this.height = image.getHeight (this) ;

//   System.out.println ("Img:("+x+","+y+"), ("+(x+this.width)+","+(y+this.height)+")");

        setBounds (x, y, x+this.width, y+this.height) ;
    }

   public void paint (Graphics g)
   {

       if (image == null) System.err.println ("Error...");
       g.drawImage (image, 0, 0, width, height, this) ; 
   }  
}
